<div class="container-fluid">
	<nav aria-label="breadcrumb">
		<ol class="breadcrumb">
			<li class="breadcrumb-item" aria-current="page" routerLink='/'>home</li>
			<li class="breadcrumb-item active" aria-current="page">I mercati</li>
		</ol>
	</nav>
</div>

<div class="container">
	<div class="row">
		<div class="col text-center" *ngFor="let vendor of vendors; index as i">
			<button class="btn" (click)="toggleSection(vendor)">Il banco di {{vendor.firstname}}</button>
		</div>
	</div>
</div>

<div class="container">
	<ng-container *ngIf="section != null">

		<div class="row">
			<div class="col text-center">
				<ul class="list-group">
					<li class="list-group-item" [class.active]="selectedIndex === i"
						*ngFor="let stall of stalls; index as i" (click)="toggleSubSection(stall, i)">{{stall.name}}
					</li>
				</ul>
			</div>
		</div>

		<div class="row">
			<ng-container *ngIf="subsection != null">
					<div class="col-sm">
					<h3>information</h3>
					<p>
						{{stall.description}}
					</p>
					<p>
						Where is the market?
						{{stall.city}} 
						{{stall.street_square}}
					</p>
					<p>
						when is the market?
						{{stall.appointment}}
					</p>
				</div>
			</ng-container>
		</div>
	</ng-container>
</div>

<div class="container" *ngIf="subsection != null">
	<div class="row">
			<app-loader></app-loader>

			<ng-container *ngIf="galleryImages.length === 0">
				There are no images for this selection
			</ng-container>
			
			<ngx-gallery [options]="galleryOptions" [images]="galleryImages" class="ngx-gallery"></ngx-gallery>
	</div>
</div>